org.bouncycastle.crypto.engines

## Class DSTU7624WrapEngine

- java.lang.Object
- - org.bouncycastle.crypto.engines.DSTU7624WrapEngine

- All Implemented Interfaces:
    Wrapper

      public class DSTU7624WrapEngine
      extends java.lang.Object
      implements Wrapper

  Implementation of DSTU7624 KEY WRAP mode

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSTU7624WrapEngine(int blockBitLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithmName()` Return the name of the algorithm the wrapper implements.
    `void` | `init(boolean forWrapping, CipherParameters param)`
    `byte[]` | `unwrap(byte[] in, int inOff, int inLen)`
    `byte[]` | `wrap(byte[] in, int inOff, int inLen)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSTU7624WrapEngine

          public DSTU7624WrapEngine(int blockBitLength)

  - ### Method Detail

    - #### init

          public void init(boolean forWrapping,
                           CipherParameters param)

      Specified by:
        `init` in interface `Wrapper`

    - #### getAlgorithmName

          public java.lang.String getAlgorithmName()

      Description copied from interface: `Wrapper`
      Return the name of the algorithm the wrapper implements.
      Specified by:
        `getAlgorithmName` in interface `Wrapper`
      Returns:
        the name of the algorithm the wrapper implements.

    - #### wrap

          public byte[] wrap(byte[] in,
                             int inOff,
                             int inLen)

      Specified by:
        `wrap` in interface `Wrapper`

    - #### unwrap

          public byte[] unwrap(byte[] in,
                               int inOff,
                               int inLen)
                        throws InvalidCipherTextException

      Specified by:
        `unwrap` in interface `Wrapper`
      Throws:
        `InvalidCipherTextException`